package org.eclipse.cosmos.me.sdd.tooling.btg.aggregator.comparisons;

import org.eclipse.cosmos.me.sdd.schema.LocationType;
import org.eclipse.cosmos.me.sdd.schema.ObjectFactory;

public class LocationCompare
{

	public static LocationType merge(LocationType l1,	LocationType l2)
	{
		ObjectFactory objectFactory = new ObjectFactory();
		LocationType merged = objectFactory.createLocationType();
		
		merged.setAddress(DisplayTextCompare.merge(l1.getAddress(), l2.getAddress()));
		merged.setCountry(DisplayTextCompare.merge(l1.getCountry(), l2.getCountry()));
		
		return merged;
	}

}
